###BuildRequires:	-post-build-checks
# norootforbuild

%define		libname		libmpdclient
%define		soname		2

Name:		%{libname}%{soname}
Version:	2.4
Release:	1.pm.1.1

Summary:	Library to control the Music Player Daemon
URL:		http://sarine.nl/libmpd/
License:	GPL
Group:		Productivity/Multimedia/Sound/Players

Source0:	http://downloads.sourceforge.net/project/musicpd/%{libname}/%{version}/%{libname}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-root


%description
A stable, documented, asynchronous API library for interfacing MPD in the C,
C++ & Objective C languages.


%package -n %{libname}-devel
Group:		Development/Libraries/C and C++
Summary:	Development package for %{libname}
Requires:	%{name} = %{version}

%description -n %{libname}-devel
Development package for %{name}.





%prep
%setup -q -n %{libname}-%{version}


%build
%configure \
	--enable-debug \
	--disable-static

%__make %{?jobs:-j%{jobs}}


%install
%makeinstall
%__rm %buildroot/%_libdir/*.la


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/%{libname}.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/mpd
%{_includedir}/mpd/*.h
%{_libdir}/%{libname}.so
%{_libdir}/pkgconfig/%{libname}.pc
%dir %{_datadir}/doc/%{libname}
%{_datadir}/doc/%{libname}/*


%changelog
* Fri Jan 14 2011 detlef@links2linux.de
- new upstream version <2.4>
  * configure.ac, resolver: implement flag --disable-tcp
  * resolver: fix IPv4/IPv6 on the loopback device
  * player: support the command "clearerror"
  * connection: add function mpd_connection_get_server_error_location()
  * settings: expose connection settings
  * iso8601, send: format string workarounds for WIN32
  * Makefile.am: fix doxygen in out-of-tree build
* Sat Sep 25 2010 detlef@links2linux.de
- new upstream version <2.3>
  * get default timeout from environment variable MPD_TIMEOUT
  * fix assertion failures on malformed URI
  * song: support attribute "Range"
  * MixRamp support
  * fix the LIBMPDCLIENT_CHECK_VERSION() macro
* Mon Dec  7 2009 detlef@links2linux.de
- new upstream version <2.1>
  * status: added mpd_status_get_elapsed_ms()
  * sticker: added sticker support
  * song: copy last_modified value in mpd_song_dup()
  * socket, async: use WSAGetLastError() instead of errno on WIN32
  * socket: connect in non-blocking mode
  * socket: set the close-on-exec flag
  * tag: support C++
  * sync: optimistic write, reduce select() calls
  * Makefile.am: use --version-script only with GNU ld
  * added library version compile-time checks
* Wed Oct  7 2009 detlef@links2linux.de
- initial build for PackMan <2.0>
